summaryrefslogtreecommitdiffstats
path: root/system/xfsudo
diff options
context:
space:
mode:
author aaditya <aaditya_gnulinux@zoho.com>2013-12-07 17:33:11 +0100
committer Erik Hanson <erik@slackbuilds.org>2013-12-14 10:52:35 -0600
commit67b019be042a94dfd071a90156c795e10b59be6b (patch)
treeb1bcc9de18d7efb0ff615558acc82479327e6262 /system/xfsudo
parent342a00436db770cbe5b8a6ab1270f544ce581337 (diff)
downloadslackbuilds-67b019be042a94dfd071a90156c795e10b59be6b.tar.gz
slackbuilds-67b019be042a94dfd071a90156c795e10b59be6b.tar.xz
system/xfsudo: Added (run graphical apps as root using sudo).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'system/xfsudo')
-rw-r--r--system/xfsudo/README8
-rw-r--r--system/xfsudo/slack-desc19
-rw-r--r--system/xfsudo/xfsudo.SlackBuild85
-rw-r--r--system/xfsudo/xfsudo.info10
4 files changed, 122 insertions, 0 deletions
diff --git a/system/xfsudo/README b/system/xfsudo/README
new file mode 100644
index 0000000000..1c7e4f0c88
--- /dev/null
+++ b/system/xfsudo/README
@@ -0,0 +1,8 @@
+xfsudo - run graphical applications as superuser using sudo
+xfsu - run graphical applications as root using sudo -i
+
+Uses zenity to create the dialog box and sudo as backend to
+run the program as root.
+
+NOTE: for this to work you need to put your user in the
+sudoers file (see "man visudo").
diff --git a/system/xfsudo/slack-desc b/system/xfsudo/slack-desc
new file mode 100644
index 0000000000..d0e7175583
--- /dev/null
+++ b/system/xfsudo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xfsudo: xfsudo (run graphical apps as root using sudo)
+xfsudo:
+xfsudo: xfsudo - run graphical applications as superuser using sudo
+xfsudo: xfsu - run graphical applications as root using sudo -i
+xfsudo:
+xfsudo: Uses zenity to create the dialog box and sudo as backend to
+xfsudo: run the program as root.
+xfsufo:
+xfsudo:
+xfsudo:
+xfsudo:
diff --git a/system/xfsudo/xfsudo.SlackBuild b/system/xfsudo/xfsudo.SlackBuild
new file mode 100644
index 0000000000..8671f84b5f
--- /dev/null
+++ b/system/xfsudo/xfsudo.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for xfsudo
+
+# Copyright 2013 Aaditya Bagga <aaditya_gnulinux@zoho.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xfsudo
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+if [ -e $CWD/$VERSION.tar.gz ]; then
+ tar xvf $CWD/$VERSION.tar.gz
+else
+ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+fi
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make install DESTDIR=$PKG appdir=/usr/doc/$PRGNAM-$VERSION mandir=/usr/man/man1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/xfsudo/xfsudo.info b/system/xfsudo/xfsudo.info
new file mode 100644
index 0000000000..73e4868d12
--- /dev/null
+++ b/system/xfsudo/xfsudo.info
@@ -0,0 +1,10 @@
+PRGNAM="xfsudo"
+VERSION="0.1"
+HOMEPAGE="https://github.com/aadityabagga/xfsudo"
+DOWNLOAD="http://downloads.sourceforge.net/mefiles/xfsudo-0.1.tar.gz"
+MD5SUM="e244ef0cf8a177908347e490dfcf5d12"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README% zenity"
+MAINTAINER="aaditya"
+EMAIL="aaditya_gnulinux@zoho.com"